%global ipmitoolver 1.8.9
%global momorel 2

%global python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
Summary: OpenIPMI (Intelligent Platform Management Interface) library and tools
Name: OpenIPMI
Version: 2.0.14
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
URL: http://sourceforge.net/projects/openipmi/
Source0: http://dl.sourceforge.net/sourceforge/openipmi/%{name}-%{version}.tar.gz
Source2: http://dl.sourceforge.net/sourceforge/ipmitool/ipmitool-%{ipmitoolver}.tar.gz
Source3: openipmi.sysconf
Source4: openipmi.initscript
NoSource: 0
NoSource: 2
Patch100: ipmitool-1.8.9-open.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
PreReq: chkconfig
BuildPrereq: gdbm-devel swig glib-devel net-snmp-devel >= 5.4 ncurses-devel
BuildPrereq: openssl-devel python-devel readline-devel
BuildPrereq: tkinter >= 2.5.1-9m
BuildPrereq: perl >= 5.10.0

%description
The Open IPMI project aims to develop an open code base to allow access to
platform information using Intelligent Platform Management Interface (IPMI).
This package contains the tools of the OpenIPMI project.

%package libs
Group: Development/Libraries
Summary: The OpenIPMI runtime libraries

%description libs
The OpenIPMI-libs package contains the runtime libraries for shared binaries
and applications.

%package tools
Group: Applications/System
Summary: OpenIPMI utilities and scripts from ipmitool

%description tools
The OpenIPMI-tools package contains the addon utilities and script from the
ipmitool project.

%package perl
Group: Development/Libraries
Summary: OpenIPMI Perl language bindings

%description perl
The OpenIPMI-perl package contains the Perl language bindings for OpenIPMI.

%package python
Group: Development/Libraries
Summary: OpenIPMI Python language bindings

%description python
The OpenIPMI-perl package contains the Python language bindings for OpenIPMI.

%package devel
Group: Development/Libraries
Summary: The development environment for the OpenIPMI project.
Requires: %{name} = %{version}

%description devel
The OpenIPMI-devel package contains the development libraries and header files
of the OpenIPMI project.

%prep
%setup -q -a 2
pushd ipmitool-%{ipmitoolver}
%patch100 -p1 -b .open
popd

%build
%configure --program-transform-name="" \
    --with-pythoninstall=%{python_sitearch}
make
pushd ipmitool-%{ipmitoolver}
%configure --program-transform-name=""
make
popd

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_libdir}/*.la
# Remove python cruft in 32bit libdir on 64bit archs...
%ifarch ppc64 s390x x86_64
rm -rf %{buildroot}/usr/lib
%endif
pushd ipmitool-%{ipmitoolver}
%makeinstall
rm -rf %{buildroot}%{_datadir}/doc/
popd

install -d %{buildroot}%{_sysconfdir}/sysconfig
install -m 644 %SOURCE3 %{buildroot}%{_sysconfdir}/sysconfig/ipmi
install -d %{buildroot}%{_initscriptdir}
install -m 755 %SOURCE4 %{buildroot}%{_initscriptdir}/ipmi

%post
/sbin/chkconfig --add ipmi

%preun
if [ $1 = 0 ]; then
   service ipmi stop >/dev/null 2>&1
   /sbin/chkconfig --del ipmi
fi

%postun
if [ "$1" -ge "1" ]; then
    service ipmi condrestart >/dev/null 2>&1 || :
fi

%post libs -p /sbin/ldconfig

%postun libs -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/sysconfig/ipmi
%config %{_initscriptdir}/ipmi
%{_bindir}/ipmicmd
%{_bindir}/ipmilan
%{_bindir}/ipmish
%{_bindir}/ipmi_ui
%{_bindir}/openipmicmd
%{_bindir}/openipmish
%{_bindir}/openipmigui
%{_bindir}/rmcp_ping
%{_bindir}/solterm
%{_mandir}/man1/ipmi_ui*
%{_mandir}/man1/openipmicmd*
%{_mandir}/man1/openipmigui*
%{_mandir}/man1/openipmish*
%{_mandir}/man1/rmcp_ping*
%{_mandir}/man1/solterm*
%{_mandir}/man7/ipmi_cmdlang*
%{_mandir}/man7/openipmi_conparms*
%{_mandir}/man8/ipmilan*

%files perl
%{_libdir}/perl5/vendor_perl/*/*-linux-thread-multi/OpenIPMI.pm
%dir %{_libdir}/perl5/vendor_perl/*/*-linux-thread-multi/auto/OpenIPMI
%{_libdir}/perl5/vendor_perl/*/*-linux-thread-multi/auto/OpenIPMI/*

%files python
%{_libdir}/python*/site-packages/*

%files tools
%defattr(-,root,root)
%{_bindir}/ipmitool
%{_mandir}/man1/ipmitool*
%{_mandir}/man8/ipmievd*
/usr/sbin/ipmievd

%files libs
%defattr(-,root,root)
%{_libdir}/*.so.*
%{_libdir}/pkgconfig/*

%files devel
%defattr(-,root,root)
%{_includedir}/OpenIPMI
%{_libdir}/*.so
%{_libdir}/*.a

%changelog
* Sun Jun 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.14-2m)
- remove man files from devel package (to avoid conflicting with main package)

* Sun Jun 15 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (2.0.14-1m)
- sync Fedora
- version up 2.0.14

* Tue Jun  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.0.11-9m)
- rebuild against openssl-0.9.8h-1m

* Mon Apr 21 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.11-8m)
- rebuild against tkinter-2.5.1-9m

* Mon Apr 21 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (2.0.11-7m)
- rebuild against Tcl/Tk 8.5

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.0.11-6m)
- rebuild against gcc43

* Sun Feb  3 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.11-5m)
- rebuild against perl-5.10.0

* Thu Jan  3 2008 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.0.11-4m)
- added BuildPrereq: tkinter

* Mon Jul 23 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.11-3m)
- move start up script from %%{_initrddir} to %%{_initscriptdir}

* Sat Jun 16 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0.11-2m)
- rebuild against net-snmp

* Thu Mar 22 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2.0.11-1m)
- up to 2.0.11
- prdownloads.sorceforge.net -> dl.sourceforge.net

* Sat Jan 27 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0.10-2m)
- revise %%files to avoid conflicting

* Mon Jan 22 2007 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (2.0.10-1m)
- first build in Momonga Linux
- spec based on 2.0.6-7 from FC7 
